using System;

public class Program
{
    public static void Main()
    {
        string[] s = Console.ReadLine().Split();
        int N = int.Parse(s[0]);
        int L = int.Parse(s[1]);
        string[] visine = Console.ReadLine().Split();
        for (int i = 0; i < N; i++)
        {
            int Hi = int.Parse(visine[i]);

            if (Hi <= L)
            {
                Console.WriteLine(i + 1);
                return;
            }
        }
        Console.WriteLine(-1);
    }
}